QuattroDosSpreadsheetInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
QuattroDosSpreadsheetInternal::State Struct Reference

the state of QuattroDosSpreadsheet More...

## Public Member Functions
| State ()
| constructor More...
int | getMaximalSheet (Spreadsheet::Type type=Spreadsheet::T_Spreadsheet) const
| returns the maximal spreadsheet More...
std::shared_ptr< Spreadsheet > | getSheet (Spreadsheet::Type type, int id)
| returns the ith real spreadsheet More...
librevenge::RVNGString | getSheetName (int id)
| returns the ith spreadsheet More...
librevenge::RVNGString | getUniqueSheetName (librevenge::RVNGString const &name)
| returns a unique sheet name build using the current name More...
Spreadsheet & | getActualSheet ()
| returns the actual sheet More...
void | pushNewSheet (std::shared_ptr< Spreadsheet > sheet)
| create a new sheet and stack id More...
bool | popSheet ()
| try to pop the actual sheet More...

## Public Attributes
long | m_eof
| the last file position More...
int | m_version
| the file version More...
StyleManager | m_styleManager
| the style manager More...
std::vector< std::shared_ptr< Spreadsheet > > | m_spreadsheetList
| the list of spreadsheet ( first: main spreadsheet, other report spreadsheet ) More...
std::stack< std::shared_ptr< Spreadsheet > > | m_spreadsheetStack
| the stack of spreadsheet id More...
std::map< int, librevenge::RVNGString > | m_idToSheetNameMap
| the map id to sheet's name More...
std::set< librevenge::RVNGString > | m_sheetNameSet
| the set of used sheet name More...

## Detailed Description

the state of QuattroDosSpreadsheet

## Constructor & Destructor Documentation

## ◆ State()

QuattroDosSpreadsheetInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getActualSheet()

Spreadsheet & QuattroDosSpreadsheetInternal::State::getActualSheet | ( |  | ) |
| inline

returns the actual sheet

## ◆ getMaximalSheet()

int QuattroDosSpreadsheetInternal::State::getMaximalSheet | ( | Spreadsheet::Type | type = `Spreadsheet::T_Spreadsheet` | ) | const
| inline

returns the maximal spreadsheet

## ◆ getSheet()

std::shared_ptr< Spreadsheet > QuattroDosSpreadsheetInternal::State::getSheet | ( | Spreadsheet::Type | type,
|  | int | id
| ) |  |
| inline

returns the ith real spreadsheet

## ◆ getSheetName()

librevenge::RVNGString QuattroDosSpreadsheetInternal::State::getSheetName | ( | int | id | ) |
| inline

returns the ith spreadsheet

## ◆ getUniqueSheetName()

librevenge::RVNGString QuattroDosSpreadsheetInternal::State::getUniqueSheetName | ( | librevenge::RVNGString const & | name | ) |
| inline

returns a unique sheet name build using the current name

Referenced by getSheetName().

## ◆ popSheet()

bool QuattroDosSpreadsheetInternal::State::popSheet | ( |  | ) |
| inline

try to pop the actual sheet

## ◆ pushNewSheet()

void QuattroDosSpreadsheetInternal::State::pushNewSheet | ( | std::shared_ptr< Spreadsheet > | sheet | ) |
| inline

create a new sheet and stack id

Referenced by State().

## Member Data Documentation

## ◆ m_eof

long QuattroDosSpreadsheetInternal::State::m_eof

the last file position

## ◆ m_idToSheetNameMap

std::map<int, librevenge::RVNGString> QuattroDosSpreadsheetInternal::State::m_idToSheetNameMap

the map id to sheet's name

Referenced by getSheetName().

## ◆ m_sheetNameSet

std::set<librevenge::RVNGString> QuattroDosSpreadsheetInternal::State::m_sheetNameSet

the set of used sheet name

Referenced by getUniqueSheetName().

## ◆ m_spreadsheetList

std::vector<std::shared_ptr<Spreadsheet> > QuattroDosSpreadsheetInternal::State::m_spreadsheetList

the list of spreadsheet ( first: main spreadsheet, other report spreadsheet )

Referenced by getMaximalSheet(), getSheet(), and pushNewSheet().

## ◆ m_spreadsheetStack

std::stack<std::shared_ptr<Spreadsheet> > QuattroDosSpreadsheetInternal::State::m_spreadsheetStack

the stack of spreadsheet id

Referenced by getActualSheet(), popSheet(), and pushNewSheet().

## ◆ m_styleManager

StyleManager QuattroDosSpreadsheetInternal::State::m_styleManager

the style manager

## ◆ m_version

int QuattroDosSpreadsheetInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- QuattroDosSpreadsheet.cpp